#import <Cocoa/Cocoa.h>
#import <QCProtocols.h>
#import <QCTypes.h>

@interface GFList : NSObject <NSCopying, NSFastEnumeration>
{
    unsigned int _flags;
    unsigned int _capacity;
    unsigned int _count;
    id *_values;
    unsigned int *_hashValues;
    id *_keys;
    unsigned int *_hashKeys;
}

+ (id)list;
- (id)init;
- (id)initWithCapacity:(NSUInteger)capacity;
- (id)initWithCapacity:(NSUInteger)capacity optionFlags:(unsigned int)flags;
- (void)dealloc;
- (id)initWithList:(id)fp8;
- (id)initWithObjects:(id)fp8 keys:(id)fp12 optionFlags:(unsigned int)fp16;
- (id)copyWithZone:(NSZone*)zone;
- (unsigned int)optionFlags;
- (unsigned int)count;
- (unsigned int)flags;
- (void)setObject:(id)object forKey:(id)key;
- (void)insertObject:(id)object atIndex:(NSUInteger)index forKey:(id)key;
- (void)addObject:(id)object forKey:(id)key;
- (void)addEntriesFromList:(id)list;
- (void)addEntriesFromDictionary:(NSDictionary*)dictionary;
- (void)removeAllObjects;
- (void)removeObject:(id)object;
- (void)removeObjectForKey:(id)key;
- (void)removeObjectAtIndex:(NSUInteger)index;
- (id)objectForKey:(id)key;
- (id)keyForObject:(id)object;
- (id)objectAtIndex:(NSUInteger)index;
- (NSUInteger)indexOfObject:(id)object;
- (id)keyAtIndex:(NSUInteger)index;
- (NSUInteger)indexOfKey:(id)key;
- (id)description;
- (id)arrayOfKeys;
- (id)arrayOfObjects;
- (id)setOfObjects;
- (id)setOfKeys;
- (id)dictionary;
- (void)moveIndex:(NSUInteger)origIndex toIndex:(NSUInteger)newIndex;
- (void)setObject:(id)object atIndex:(unsigned int)index;
- (void)setKey:(id)key atIndex:(NSUInteger)index;
- (void)setIndex:(NSUInteger)index ofObject:(id)object;
- (void)setIndex:(NSUInteger)index ofKey:(id)key;
- (void)swapIndex:(NSUInteger)origIndex withIndex:(NSUInteger)newIndex;
- (void)makeObjectsPerformSelector:(SEL)sel;
- (void)makeObjectsPerformSelector:(SEL)sel withObject:(id)object;
- (void)sortUsingFunction:(void *)fp8 context:(void *)fp12;
- (void)reverse;
- (void)applyFunction:(void *)fp8 context:(void *)fp12;
- (const id *)_values;
- (const id *)_keys;
- (unsigned int)countByEnumeratingWithState:(QCListState *)state objects:(id *)objects count:(unsigned int)count;

@end
